Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 158469

Summary: photo import - two dialogs and a HAL error in a pear tree
Product: [Fedora] Fedora Reporter: gareth foster <biggaz>
Component: halAssignee: David Zeuthen <davidz>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-16 15:43:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description gareth foster 2005-05-22 17:37:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
On connecting my camera (Olympus Camedia C770), I am presented with two question dialogs:

"
There are photographs on this device.

Would you like to import these photographs into your photo album?
"

The second only appears after I have answered "import" to the first.

One appears to run "gthumb" and the other "gthumb-import" - this is the default behaviour it seems, since I haven't made changes in the Volume Manager program.

Furthermore, there are issues with the "gthumb-import" dialog that appears after answering "import" - 

"An error occurred in the io-library ('Unsupported operation'): Camera is supported by USB Storage driver."

This text is listed just above the "okay" "cancel" buttons, the upshot is that this dialog won't do anything useful.

Cancelling it and answering "import" to the second dialog pulls up gthumb, and i can see thumbnails of my photos there.

Running "gthumb-import" from the CLI gives a little more detail:

"libhal.c 853 : org.freedesktop.DBus.Error.Disconnected raised
"Disconnected prior to receiving a reply""

Version-Release number of selected component (if applicable):
hal-0.4.7-1.FC3 gthumb-2.4.2-5

How reproducible:
Didn't try

Steps to Reproduce:
1. plug in the camera,
2. watch those dialogs fly
3.
  

Actual Results:  gthumb-import doesn't work

Expected Results:  gthumb import works fine

Additional info:

Comment 1 gareth foster 2005-12-22 09:30:15 UTC
This is still an issue on FC4.

Comment 2 gareth foster 2005-12-22 09:35:32 UTC
opened bug against gthumb - hope that wasn't a bone head idea.
http://bugzilla.gnome.org/show_bug.cgi?id=324781

Comment 3 gareth foster 2005-12-22 09:38:37 UTC
i should also add that my email is b0rked atm, my mail server toasted itself,
should have it sorted soon. earthwormgaz@jabber.org.uk is the best i can do
'till then.

Comment 4 John (J5) Palmieri 2005-12-23 18:10:40 UTC
My guess is it is detecting both PTP and USB mass storage modes for your camera.
 I won't be in the office for another week or so and will have a look at it
then.  Can you attach the output of the lshal command.  Thanks.

Comment 5 Christian Iseli 2007-01-22 10:19:37 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 6 petrosyan 2008-02-16 15:43:11 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.